<!DOCTYPE html>
<html>
<head>
  <title>ProyectoTallerInfo</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>

<div id="top-nav" class="navbar navbar-custom ">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#"><strong>Proyecto Gobernacion</strong></a>
    </div>
    <div class="navbar-collapse collapse">
      <ul class=" navbar-nav navbar-right" type="none">
        <%if current_user %>
            <li><a href="#"><i class="glyphicon glyphicon-alert"></i> Alertas </a><span class="badge badge-info">4</span>&nbsp;</li>
            <li class="dropdown">&nbsp;&nbsp;&nbsp;
              <a class="dropdown-toggle" role="button" data-toggle="dropdown" href="<%= '/users/' + current_user.id.to_s %>"><i class="glyphicon glyphicon-user"></i>Usuario</a>&nbsp;&nbsp;&nbsp;
              <ul id="g-account-menu" class="dropdown-menu" role="menu">
                <li><a href="<%= '/users/' + current_user.id.to_s %>">Mi Usuario</a></li>
              </ul>
            </li>
            <li><a rel="nofollow" data-method="delete" href="/users/sign_out"><i class="glyphicon glyphicon-lock"></i>Cerrar Sesion</a></li>
            <!--<%= link_to('Cerrar Sesion', destroy_user_session_path, :method => :delete) %>-->
        <% else %>
            <li><a rel="nofollow" data-method="delete" href="/users/sign_in"><i class="glyphicon glyphicon-lock"></i>Iniciar Sesion</a></li>
        <%end%>
      </ul>
    </div>
  </div>
</div>


<div class="container-fluid">
  <div class="row">
    <% if current_user %>
      <div class="col-md-2">
          <!-- Left column -->
          <% if current_user.role == 1 %>
              <a href="#"><strong><i class="glyphicon glyphicon-wrench"></i> Encargado</strong></a>

              <hr>

              <ul class="nav nav-stacked">
                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#userMenu"> Gestion de Usuarios <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="userMenu">
                    <li><a href="/users/new"><i class="glyphicon glyphicon-user"></i> Crear Usuario</a></li>
                    <li><a href="/users"><i class="glyphicon glyphicon-search"></i> Buscar Usuario</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu2"> Listas de Verificacion <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu2">
                    <li><a href="#"><i class="glyphicon glyphicon-list"></i> Crear Plantilla de Lista</a></li>
                    <li><a href="#"><i class="glyphicon glyphicon-search"></i> Buscar Plantilla Lista</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#person"> Gestion de Personal <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="person">
                    <li><a href="/people/new"><i class="glyphicon glyphicon-list"></i> Registrar Personal</a></li>
                    <li><a href="/people"><i class="glyphicon glyphicon-search"></i> Buscar Personal</a></li>
                  </ul>
                </li>
              </ul>
              <% end %>

          <hr>

          <% if current_user.role == 2 || current_user.role == 1%>
              <a href="#"><strong><i class="glyphicon glyphicon-link"></i> Recepcionista</strong></a>
              <hr>

              <ul class="nav nav-stacked">

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu3"> AOP <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu3">
                    <li><a href="/projects/new">Registrar AOP</a></li>
                    <li><a href="/projects">Buscar AOP</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu10"> Compania <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu10">
                    <li><a href="/companies/new">Registrar Compania</a></li>
                    <li><a href="/companies">Buscar Compania</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu4"> Representante Legal <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu4">
                    <li><a href="/legal_agents/new">Registrar Representante Legal</a></li>
                    <li><a href="/legal_agents">Buscar Representante Legal</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu7"> Tramite <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu7">
                    <li><a href="#">Iniciar Tramite</a></li>
                    <li><a href="#">Buscar Tramite</a></li>
                  </ul>
                </li>

              </ul>
              <hr>
              
              <!--<% end %>-->


          <% if current_user.role == 4 || current_user.role == 1%>
              <a href="#"><strong><i class="glyphicon glyphicon-list"></i> Jefe de Unidad</strong></a>
              <hr>

              <ul class="nav nav-stacked">

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu6"> AOP <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu6">
                    <li><a href="/projects">Buscar AOP</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu5"> Reportes <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu5">
                    <li><a href="#">Generar Reporte</a></li>
                    <li><a href="#">Buscar Reporte</a></li>
                  </ul>
                </li>

                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu8"> Tramite <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu8">
                    <li><a href="#">Buscar Tramite</a></li>
                    <li><a href="#">Asignar Tramite a revisor</a></li>
                  </ul>
                </li>

              </ul>
              <hr>
              <% end %>


          <% if current_user.role == 5 || current_user.role == 1 %>
              <a href="#"><strong><i class="glyphicon glyphicon-list-alt"></i> Revisor</strong></a>
              <hr>

              <ul class="nav nav-stacked">
                <li class="nav-header"> <a href="#" data-toggle="collapse" data-target="#menu9"> Tramite <i class="glyphicon glyphicon-chevron-right"></i></a>
                  <ul class="nav nav-stacked collapse" id="menu9">
                    <li><a href="#">Buscar Tramite</a></li>
                  </ul>
                </li>
              </ul>
              <% end %>

      </div>
    <% end %>

    <div class="col-md-8">
          <%= yield %>
    </div>

    <div class="col-md-2">
          <br>
          <center>
          <%= image_tag 'logo.jpg', alt: 'logocbba' %>
          <br>
          </center>
    </div>

  </div>

</div>

<footer class="text-center">Gobierno Autonomo Departamental de Cochabamba </footer>

</body>
</html>

